## cloudflare-ddns 2.0.0

=== meson_options.txt ===
# SPDX-FileCopyrightText: 2021 Andrea Pappacoda
#
# SPDX-License-Identifier: AGPL-3.0-or-later

option('executable',       type: 'boolean', value: true,  description: 'Build the cloudflare-ddns executable')
option('man',              type: 'feature',               description: 'Build manpages with ronn-ng')
option('tests',            type: 'boolean', value: false, description: 'Build tests')
option('test_api_token',   type: 'string', description: 'API token to use for tests')
option('test_zone_id',     type: 'string', description: 'Zone ID to use for tests')
option('test_record_name', type: 'string', description: 'Record name to use for tests')
option('muon',             type: 'boolean', value: false, description: 'Enable if building with muon')

## cloudflare-ddns 1.0.0

=== debian/changelog ===
cloudflare-ddns (1.0.0-2) unstable; urgency=medium

  * Source-only upload
  * d/tests: install libc-dev to fix autopkgtest

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 15 Apr 2022 10:19:49 +0200

cloudflare-ddns (1.0.0-1) unstable; urgency=low

  * Initial release. Closes: #1007970

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 20 Mar 2022 12:12:28 +0100

=== debian/control ===
Source: cloudflare-ddns
Section: admin
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13), meson (>= 0.53.0)
Build-Depends-Arch: cmake,
                    libcurl4-openssl-dev | libcurl-dev,
                    libinih-dev,
                    libsimdjson-dev (>= 0.6),
                    pkg-config,
                    ronn
Standards-Version: 4.6.0
Homepage: https://github.com/Tachi107/cloudflare-ddns
Vcs-Git: https://salsa.debian.org/tachi/cloudflare-ddns.git
Vcs-Browser: https://salsa.debian.org/tachi/cloudflare-ddns
Rules-Requires-Root: no

Package: cloudflare-ddns
Architecture: any
Multi-Arch: foreign
Depends: libcloudflare-ddns1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: dynamically update a DNS record using Cloudflare
 cloudflare-ddns is a oneshot program: you run it, it updates
 the DNS record, and it terminates. This uses Cloudflare's API,
 so to run the tool you'll need an API token and the Zone ID
 of the DNS zone that you want to update.
 .
 This package contains the tool and a set of systemd units that
 make it run periodically.

Package: libcloudflare-ddns1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dynamically update a DNS record using Cloudflare - runtime library
 cloudflare-ddns is a oneshot program: you run it, it updates
 the DNS record, and it terminates. This uses Cloudflare's API,
 so to run the tool you'll need an API token and the Zone ID
 of the DNS zone that you want to update.
 .
 This package contains the shared library.

Package: libcloudflare-ddns-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcloudflare-ddns1 (= ${binary:Version}), ${misc:Depends},
         libcurl4-openssl-dev | libcurl-dev,
         libsimdjson-dev
Description: dynamically update a DNS record using Cloudflare - development files
 cloudflare-ddns is a oneshot program: you run it, it updates
 the DNS record, and it terminates. This uses Cloudflare's API,
 so to run the tool you'll need an API token and the Zone ID
 of the DNS zone that you want to update.
 .
 This package contains the development files.

## cloudflare-ddns 2.0.0

=== debian/changelog ===
cloudflare-ddns (2.0.0-4) unstable; urgency=medium

  * d/patches: use systemd.pc to get systemd paths.
    Using systemd.pc to get systemd unit and sysusers.d paths avoids having
    to hardcode paths, which leads to issues when files have to be installed
    outside of /usr, like with unit files in bookworm.
    Thanks to Andreas Henriksson for the patch! (Closes: #1034226)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 13 Apr 2023 15:29:29 +0200

cloudflare-ddns (2.0.0-3) unstable; urgency=medium

  * d/.install: fix build on non-Linux with dh-exec

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 16 Jan 2023 22:16:37 +0100

cloudflare-ddns (2.0.0-2) unstable; urgency=medium

  * d/control: bump minimum simdjson version
  * d/rules: create sysusers.d users (Closes: #1019396)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 01 Oct 2022 11:07:00 +0200

cloudflare-ddns (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Install systemd-sysusers file

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 17 May 2022 21:34:37 +0200

=== debian/control ===
Source: cloudflare-ddns
Section: admin
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-installsysusers
Build-Depends-Arch: cmake,
                    libcurl4-openssl-dev | libcurl-dev,
                    libinih-dev,
                    libsimdjson-dev (>= 0.9.0),
                    meson (>= 0.53.0),
                    pkg-config,
                    ronn,
                    systemd [linux-any]
Standards-Version: 4.6.2
Homepage: https://github.com/Tachi107/cloudflare-ddns
Vcs-Git: https://salsa.debian.org/tachi/cloudflare-ddns.git
Vcs-Browser: https://salsa.debian.org/tachi/cloudflare-ddns
Rules-Requires-Root: no

Package: cloudflare-ddns
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: systemd | systemd-standalone-sysusers | opensysusers
Description: dynamically update a DNS record using Cloudflare
 cloudflare-ddns is a oneshot program: you run it, it updates
 the DNS record, and it terminates. This uses Cloudflare's API,
 so to run the tool you'll need an API token and the Zone ID
 of the DNS zone that you want to update.
 .
 This package contains the tool and a set of systemd units that
 make it run periodically.

Package: libcloudflare-ddns2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: dynamically update a DNS record using Cloudflare - runtime library
 cloudflare-ddns is a oneshot program: you run it, it updates
 the DNS record, and it terminates. This uses Cloudflare's API,
 so to run the tool you'll need an API token and the Zone ID
 of the DNS zone that you want to update.
 .
 This package contains the shared library.

Package: libcloudflare-ddns-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcloudflare-ddns2 (= ${binary:Version}),
         libcurl4-openssl-dev | libcurl-dev,
         libsimdjson-dev,
         ${misc:Depends}
Description: dynamically update a DNS record using Cloudflare - development files
 cloudflare-ddns is a oneshot program: you run it, it updates
 the DNS record, and it terminates. This uses Cloudflare's API,
 so to run the tool you'll need an API token and the Zone ID
 of the DNS zone that you want to update.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

# optimize=-lto because I use Meson's LTO
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Db_lto=true

## cloudflare-ddns 2.0.1

=== debian/changelog ===
cloudflare-ddns (2.0.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:49:59 +0000

cloudflare-ddns (2.0.1-1build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:10:14 +0000

cloudflare-ddns (2.0.1-1build1) noble; urgency=medium

  * Rebuild against latest simdjson

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:26:15 -0500

cloudflare-ddns (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * d/control: drop now unused ronn build-dep
  * d/patches: drop upstreamed patches
  * d/.install: use systemd.pc to determine unit dir.
    This avoids a build failure if systemd.pc changes moves the system unit
    directory from /lib to /usr/lib.
    Thanks to Helmut for the patch! (Closes: #1052312)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 20 Oct 2023 19:49:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cloudflare-ddns
 Section: admin
 Priority: optional
-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-installsysusers
@@ -11,7 +12,6 @@
                     libsimdjson-dev (>= 0.9.0),
                     meson (>= 0.53.0),
                     pkg-config,
-                    ronn,
                     systemd [linux-any]
 Standards-Version: 4.6.2
 Homepage: https://github.com/Tachi107/cloudflare-ddns

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # optimize=-lto because I use Meson's LTO
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all
+
+export systemd_system_unit_dir = $(shell pkg-config --variable=systemd_system_unit_dir systemd | sed s,^/,,)
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none" \
https://api.github.com/repos/Tachi107/cloudflare-ddns/tags \
https://api.github.com/repos/Tachi107/cloudflare-ddns/tarball/refs/tags/@ANY_VERSION@

## cloudflare-ddns 2.1.0

=== meson_options.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # SPDX-License-Identifier: AGPL-3.0-or-later
 
 option('executable',       type: 'boolean', value: true,  description: 'Build the cloudflare-ddns executable')
-option('man',              type: 'feature',               description: 'Build manpages with ronn-ng')
 option('tests',            type: 'boolean', value: false, description: 'Build tests')
 option('test_api_token',   type: 'string', description: 'API token to use for tests')
 option('test_zone_id',     type: 'string', description: 'Zone ID to use for tests')

=== debian/changelog ===
cloudflare-ddns (2.1.0-3) unstable; urgency=low

  * d/control: apply X-Style black
  * d/control: use my @debian.org email address
  * d/control: drop explicit Recommends on sysusers
  * d/control: use Description source field and substvars

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 16 Apr 2025 16:24:19 +0200

cloudflare-ddns (2.1.0-2) unstable; urgency=medium

  * First dgit upload
  * d/control: declare dpkg-build-api = 1.
    This switches the default for Rules-Requires-Root to "no", hence setting
    it explicitly is no longer needed (yay).
  * d/control: remove simdjson dependency from -dev package
  * d/README.source: document packaging workflow

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 08 Aug 2024 18:49:01 +0200

cloudflare-ddns (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * d/control: drop cmake and simdjson build-deps
  * d/control: build-depend on systemd-dev instead of systemd
  * d/.install: install tmpfiles files
  * d/s/lintian-overrides: override pkg-config => pkgconf

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 13 Apr 2024 20:42:18 +0200

=== debian/control ===
Source: cloudflare-ddns
Section: admin
Priority: optional
Maintainer: Andrea Pappacoda <tachi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-installsysusers,
 dpkg-build-api (= 1),
Build-Depends-Arch:
 libcurl4-openssl-dev | libcurl-dev,
 libinih-dev,
 meson (>= 0.53.0),
 pkg-config,
 systemd-dev [linux-any],
Standards-Version: 4.7.2
Homepage: https://github.com/Tachi107/cloudflare-ddns
Vcs-Git: https://salsa.debian.org/tachi/cloudflare-ddns.git
Vcs-Browser: https://salsa.debian.org/tachi/cloudflare-ddns
X-Style: black
Description: dynamically update a DNS record using Cloudflare
 cloudflare-ddns is a oneshot program: you run it, it updates
 the DNS record, and it terminates. This uses Cloudflare's API,
 so to run the tool you'll need an API token and the Zone ID
 of the DNS zone that you want to update.

Package: cloudflare-ddns
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the tool and a set of systemd units that
 make it run periodically.

Package: libcloudflare-ddns2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} - runtime library
 ${source:Extended-Description}
 .
 This package contains the shared library.

Package: libcloudflare-ddns-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcloudflare-ddns2 (= ${binary:Version}),
 libcurl4-openssl-dev | libcurl-dev,
 ${misc:Depends},
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains the development files.

=== debian/tests/control ===
Tests:
 pkgconfig,
Depends:
 gcc | c-compiler,
 libc6-dev | libc-dev,
 pkg-config,
 @,
